summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorТомас2022-04-08 15:33:30 -0500
committerТомас2022-04-08 15:33:30 -0500
commiteb88586b637289888901687b4e3419b130799457 (patch)
treed2a01875bd06c761666b00ae5b14a7ab3f6640f1
parent98b29e4c0bca4f40a341510d9b55c4fe77b7650c (diff)
downloadaur-eb88586b637289888901687b4e3419b130799457.tar.gz
Fixed location of files in upstream source
-rw-r--r--PKGBUILD10
1 files changed, 5 insertions, 5 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 73a9bcfb2ab..3888f2d4c3d 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,7 +5,7 @@
# shellcheck disable=SC2154 # Ignore "unassigned" references to $srcdir and $pkgdir
pkgname=chef-server
-pkgver=13.2.0
+pkgver=14.14.1
pkgrel=1
pkgdesc="The Chef server works with the Chef client as a central artifact store and distribution mechanism that manages scale, complexity, and safeguarding your systems. "
arch=('x86_64')
@@ -13,8 +13,8 @@ url="https://downloads.chef.io/chef-server/"
license=('custom:Chef EULA')
depends=()
conflicts=( chef chef-solo chef-client chef-dk )
-source=("https://packages.chef.io/files/stable/chef-server/${pkgver}/ubuntu/18.04/chef-server-core_${pkgver}-${_ubunturel}_amd64.deb")
-sha256sums=('c80d63471e173188f656ff36e74afbbc97524f764f3a41cdcc51bd4fedc659a8')
+source=('https://packages.chef.io/files/stable/chef-server/14.14.1/ubuntu/18.04/chef-server-core_14.14.1-1_amd64.deb')
+sha256sums=('e04002324894491a6fbb33d15e0b30704a56ea90b44d7320ca113a21217bb14f')
package() {
@@ -22,12 +22,12 @@ package() {
cd "$srcdir" || exit 1
bsdtar -xf data.tar.xz -C "$pkgdir"
- install -Dm644 "$pkgdir/opt/$pkgname/LICENSE" "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+ install -Dm644 "$pkgdir/opt/opscode/LICENSE" "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
mkdir -p "$pkgdir/usr/bin"
binaries="chef-apply chef-client chef-server-ctl chef-shell chef-solo gather-logs knife ohai"
for binary in $binaries; do
- ln -s "/opt/$pkgname/bin/$binary" "$pkgdir/usr/bin/" || error_exit "Cannot link $binary to /usr/bin"
+ ln -s "/opt/opscode/bin/$binary" "$pkgdir/usr/bin/" || error_exit "Cannot link $binary to /usr/bin"
done
chown -Rh 0:0 "$pkgdir"